package functional

import "fmt"

type PaymentStrategy = func(amount int) error

func CreditCardPayment(amount int) error {
	fmt.Println("pay with CreditCard")
	return nil
}

func PaypalStrategy(amount int) error {
	fmt.Println("pay with PayPal")
	return nil
}
